<a id="types-aiobotocore-iotwireless"></a>

# types-aiobotocore-iotwireless

[![PyPI - types-aiobotocore-iotwireless](https://img.shields.io/pypi/v/types-aiobotocore-iotwireless.svg?color=blue)](https://pypi.org/project/types-aiobotocore-iotwireless)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/types-aiobotocore-iotwireless.svg?color=blue)](https://pypi.org/project/types-aiobotocore-iotwireless)
[![Docs](https://img.shields.io/readthedocs/types-aiobotocore.svg?color=blue)](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_iotwireless/)
[![PyPI - Downloads](https://img.shields.io/pypi/dm/types-aiobotocore-iotwireless?color=blue)](https://pypistats.org/packages/types-aiobotocore-iotwireless)

![boto3.typed](https://github.com/youtype/mypy_boto3_builder/raw/main/logo.png)

Type annotations for
[aiobotocore.IoTWireless 2.5.1](https://boto3.amazonaws.com/v1/documentation/api/latest/reference/services/iotwireless.html#IoTWireless)
service compatible with [VSCode](https://code.visualstudio.com/),
[PyCharm](https://www.jetbrains.com/pycharm/),
[Emacs](https://www.gnu.org/software/emacs/),
[Sublime Text](https://www.sublimetext.com/),
[mypy](https://github.com/python/mypy),
[pyright](https://github.com/microsoft/pyright) and other tools.

Generated by
[mypy-boto3-builder 7.14.5](https://github.com/youtype/mypy_boto3_builder).

More information can be found on
[types-aiobotocore](https://pypi.org/project/types-aiobotocore/) page and in
[types-aiobotocore-iotwireless docs](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_iotwireless/).

See how it helps to find and fix potential bugs:

![boto3-stubs demo](https://github.com/youtype/mypy_boto3_builder/raw/main/demo.gif)

- [types-aiobotocore-iotwireless](#types-aiobotocore-iotwireless)
  - [How to install](#how-to-install)
    - [From PyPI with pip](#from-pypi-with-pip)
  - [How to uninstall](#how-to-uninstall)
  - [Usage](#usage)
    - [VSCode](#vscode)
    - [PyCharm](#pycharm)
    - [Emacs](#emacs)
    - [Sublime Text](#sublime-text)
    - [Other IDEs](#other-ides)
    - [mypy](#mypy)
    - [pyright](#pyright)
  - [Explicit type annotations](#explicit-type-annotations)
    - [Client annotations](#client-annotations)
    - [Literals](#literals)
    - [Typed dictionaries](#typed-dictionaries)
  - [How it works](#how-it-works)
  - [What's new](#what's-new)
    - [Implemented features](#implemented-features)
    - [Latest changes](#latest-changes)
  - [Versioning](#versioning)
  - [Thank you](#thank-you)
  - [Documentation](#documentation)
  - [Support and contributing](#support-and-contributing)

<a id="how-to-install"></a>

## How to install

<a id="from-pypi-with-pip"></a>

### From PyPI with pip

Install `types-aiobotocore` for `IoTWireless` service.

```bash
# install with aiobotocore type annotations
python -m pip install 'types-aiobotocore[iotwireless]'


# Lite version does not provide session.client/resource overloads
# it is more RAM-friendly, but requires explicit type annotations
python -m pip install 'types-aiobotocore-lite[iotwireless]'


# standalone installation
python -m pip install types-aiobotocore-iotwireless
```

<a id="how-to-uninstall"></a>

## How to uninstall

```bash
python -m pip uninstall -y types-aiobotocore-iotwireless
```

<a id="usage"></a>

## Usage

<a id="vscode"></a>

### VSCode

- Install
  [Python extension](https://marketplace.visualstudio.com/items?itemName=ms-python.python)
- Install
  [Pylance extension](https://marketplace.visualstudio.com/items?itemName=ms-python.vscode-pylance)
- Set `Pylance` as your Python Language Server
- Install `types-aiobotocore[iotwireless]` in your environment:

```bash
python -m pip install 'types-aiobotocore[iotwireless]'
```

Both type checking and code completion should now work. No explicit type
annotations required, write your `aiobotocore` code as usual.

<a id="pycharm"></a>

### PyCharm

Install `types-aiobotocore-lite[iotwireless]` in your environment:

```bash
python -m pip install 'types-aiobotocore-lite[iotwireless]'`
```

Both type checking and code completion should now work. Explicit type
annotations **are required**.

Use `types-aiobotocore` package instead for implicit type discovery.

<a id="emacs"></a>

### Emacs

- Install `types-aiobotocore` with services you use in your environment:

```bash
python -m pip install 'types-aiobotocore[iotwireless]'
```

- Install [use-package](https://github.com/jwiegley/use-package),
  [lsp](https://github.com/emacs-lsp/lsp-mode/),
  [company](https://github.com/company-mode/company-mode) and
  [flycheck](https://github.com/flycheck/flycheck) packages
- Install [lsp-pyright](https://github.com/emacs-lsp/lsp-pyright) package

```elisp
(use-package lsp-pyright
  :ensure t
  :hook (python-mode . (lambda ()
                          (require 'lsp-pyright)
                          (lsp)))  ; or lsp-deferred
  :init (when (executable-find "python3")
          (setq lsp-pyright-python-executable-cmd "python3"))
  )
```

- Make sure emacs uses the environment where you have installed
  `types-aiobotocore`

Type checking should now work. No explicit type annotations required, write
your `aiobotocore` code as usual.

<a id="sublime-text"></a>

### Sublime Text

- Install `types-aiobotocore[iotwireless]` with services you use in your
  environment:

```bash
python -m pip install 'types-aiobotocore[iotwireless]'
```

- Install [LSP-pyright](https://github.com/sublimelsp/LSP-pyright) package

Type checking should now work. No explicit type annotations required, write
your `aiobotocore` code as usual.

<a id="other-ides"></a>

### Other IDEs

Not tested, but as long as your IDE supports `mypy` or `pyright`, everything
should work.

<a id="mypy"></a>

### mypy

- Install `mypy`: `python -m pip install mypy`
- Install `types-aiobotocore[iotwireless]` in your environment:

```bash
python -m pip install 'types-aiobotocore[iotwireless]'`
```

Type checking should now work. No explicit type annotations required, write
your `aiobotocore` code as usual.

<a id="pyright"></a>

### pyright

- Install `pyright`: `npm i -g pyright`
- Install `types-aiobotocore[iotwireless]` in your environment:

```bash
python -m pip install 'types-aiobotocore[iotwireless]'
```

Optionally, you can install `types-aiobotocore` to `typings` folder.

Type checking should now work. No explicit type annotations required, write
your `aiobotocore` code as usual.

<a id="explicit-type-annotations"></a>

## Explicit type annotations

<a id="client-annotations"></a>

### Client annotations

`IoTWirelessClient` provides annotations for
`session.create_client("iotwireless")`.

```python
from aiobotocore.session import get_session

from types_aiobotocore_iotwireless import IoTWirelessClient

session = get_session()
async with session.create_client("iotwireless") as client:
    client: IoTWirelessClient
    # now client usage is checked by mypy and IDE should provide code completion
```

<a id="literals"></a>

### Literals

`types_aiobotocore_iotwireless.literals` module contains literals extracted
from shapes that can be used in user code for type checking.

```python
from types_aiobotocore_iotwireless.literals import (
    ApplicationConfigTypeType,
    BatteryLevelType,
    ConnectionStatusType,
    DeviceProfileTypeType,
    DeviceStateType,
    DlClassType,
    DownlinkModeType,
    EventNotificationPartnerTypeType,
    EventNotificationResourceTypeType,
    EventNotificationTopicStatusType,
    EventType,
    ExpressionTypeType,
    FuotaDeviceStatusType,
    FuotaTaskStatusType,
    IdentifierTypeType,
    ImportTaskStatusType,
    LogLevelType,
    MessageTypeType,
    MulticastFrameInfoType,
    OnboardStatusType,
    PartnerTypeType,
    PositionConfigurationFecType,
    PositionConfigurationStatusType,
    PositionResourceTypeType,
    PositionSolverProviderType,
    PositionSolverTypeType,
    PositioningConfigStatusType,
    SigningAlgType,
    SupportedRfRegionType,
    WirelessDeviceEventType,
    WirelessDeviceFrameInfoType,
    WirelessDeviceIdTypeType,
    WirelessDeviceSidewalkStatusType,
    WirelessDeviceTypeType,
    WirelessGatewayEventType,
    WirelessGatewayIdTypeType,
    WirelessGatewayServiceTypeType,
    WirelessGatewayTaskDefinitionTypeType,
    WirelessGatewayTaskStatusType,
    WirelessGatewayTypeType,
    IoTWirelessServiceName,
    ServiceName,
    ResourceServiceName,
    RegionName,
)


def check_value(value: ApplicationConfigTypeType) -> bool:
    ...
```

<a id="typed-dictionaries"></a>

### Typed dictionaries

`types_aiobotocore_iotwireless.type_defs` module contains structures and shapes
assembled to typed dictionaries for additional type checking.

```python
from types_aiobotocore_iotwireless.type_defs import (
    SessionKeysAbpV10XTypeDef,
    SessionKeysAbpV11TypeDef,
    AccuracyTypeDef,
    ApplicationConfigTypeDef,
    SidewalkAccountInfoTypeDef,
    TagTypeDef,
    AssociateMulticastGroupWithFuotaTaskRequestRequestTypeDef,
    AssociateWirelessDeviceWithFuotaTaskRequestRequestTypeDef,
    AssociateWirelessDeviceWithMulticastGroupRequestRequestTypeDef,
    AssociateWirelessDeviceWithThingRequestRequestTypeDef,
    AssociateWirelessGatewayWithCertificateRequestRequestTypeDef,
    AssociateWirelessGatewayWithCertificateResponseTypeDef,
    AssociateWirelessGatewayWithThingRequestRequestTypeDef,
    BeaconingTypeDef,
    CancelMulticastGroupSessionRequestRequestTypeDef,
    CdmaLocalIdTypeDef,
    CdmaNmrObjTypeDef,
    CertificateListTypeDef,
    LoRaWANConnectionStatusEventNotificationConfigurationsTypeDef,
    LoRaWANConnectionStatusResourceTypeEventConfigurationTypeDef,
    CreateDestinationResponseTypeDef,
    LoRaWANDeviceProfileTypeDef,
    CreateDeviceProfileResponseTypeDef,
    LoRaWANFuotaTaskTypeDef,
    CreateFuotaTaskResponseTypeDef,
    LoRaWANMulticastTypeDef,
    CreateMulticastGroupResponseTypeDef,
    TraceContentTypeDef,
    CreateNetworkAnalyzerConfigurationResponseTypeDef,
    LoRaWANServiceProfileTypeDef,
    CreateServiceProfileResponseTypeDef,
    SidewalkCreateWirelessDeviceTypeDef,
    CreateWirelessDeviceResponseTypeDef,
    CreateWirelessGatewayResponseTypeDef,
    CreateWirelessGatewayTaskDefinitionResponseTypeDef,
    CreateWirelessGatewayTaskRequestRequestTypeDef,
    CreateWirelessGatewayTaskResponseTypeDef,
    DakCertificateMetadataTypeDef,
    DeleteDestinationRequestRequestTypeDef,
    DeleteDeviceProfileRequestRequestTypeDef,
    DeleteFuotaTaskRequestRequestTypeDef,
    DeleteMulticastGroupRequestRequestTypeDef,
    DeleteNetworkAnalyzerConfigurationRequestRequestTypeDef,
    DeleteQueuedMessagesRequestRequestTypeDef,
    DeleteServiceProfileRequestRequestTypeDef,
    DeleteWirelessDeviceImportTaskRequestRequestTypeDef,
    DeleteWirelessDeviceRequestRequestTypeDef,
    DeleteWirelessGatewayRequestRequestTypeDef,
    DeleteWirelessGatewayTaskDefinitionRequestRequestTypeDef,
    DeleteWirelessGatewayTaskRequestRequestTypeDef,
    DeregisterWirelessDeviceRequestRequestTypeDef,
    DestinationsTypeDef,
    DeviceProfileTypeDef,
    SidewalkEventNotificationConfigurationsTypeDef,
    SidewalkResourceTypeEventConfigurationTypeDef,
    DisassociateAwsAccountFromPartnerAccountRequestRequestTypeDef,
    DisassociateMulticastGroupFromFuotaTaskRequestRequestTypeDef,
    DisassociateWirelessDeviceFromFuotaTaskRequestRequestTypeDef,
    DisassociateWirelessDeviceFromMulticastGroupRequestRequestTypeDef,
    DisassociateWirelessDeviceFromThingRequestRequestTypeDef,
    DisassociateWirelessGatewayFromCertificateRequestRequestTypeDef,
    DisassociateWirelessGatewayFromThingRequestRequestTypeDef,
    PositioningTypeDef,
    FuotaTaskTypeDef,
    GatewayListItemTypeDef,
    GetDestinationRequestRequestTypeDef,
    GetDestinationResponseTypeDef,
    GetDeviceProfileRequestRequestTypeDef,
    GetFuotaTaskRequestRequestTypeDef,
    LoRaWANFuotaTaskGetInfoTypeDef,
    GetMulticastGroupRequestRequestTypeDef,
    LoRaWANMulticastGetTypeDef,
    GetMulticastGroupSessionRequestRequestTypeDef,
    LoRaWANMulticastSessionTypeDef,
    GetNetworkAnalyzerConfigurationRequestRequestTypeDef,
    GetPartnerAccountRequestRequestTypeDef,
    SidewalkAccountInfoWithFingerprintTypeDef,
    GetPositionConfigurationRequestRequestTypeDef,
    GnssTypeDef,
    IpTypeDef,
    WiFiAccessPointTypeDef,
    GetPositionEstimateResponseTypeDef,
    GetPositionRequestRequestTypeDef,
    GetResourceEventConfigurationRequestRequestTypeDef,
    GetResourceLogLevelRequestRequestTypeDef,
    GetResourceLogLevelResponseTypeDef,
    GetResourcePositionRequestRequestTypeDef,
    GetResourcePositionResponseTypeDef,
    GetServiceEndpointRequestRequestTypeDef,
    GetServiceEndpointResponseTypeDef,
    GetServiceProfileRequestRequestTypeDef,
    LoRaWANGetServiceProfileInfoTypeDef,
    GetWirelessDeviceImportTaskRequestRequestTypeDef,
    SidewalkGetStartImportInfoTypeDef,
    GetWirelessDeviceRequestRequestTypeDef,
    GetWirelessDeviceStatisticsRequestRequestTypeDef,
    SidewalkDeviceMetadataTypeDef,
    GetWirelessGatewayCertificateRequestRequestTypeDef,
    GetWirelessGatewayCertificateResponseTypeDef,
    GetWirelessGatewayFirmwareInformationRequestRequestTypeDef,
    GetWirelessGatewayRequestRequestTypeDef,
    GetWirelessGatewayStatisticsRequestRequestTypeDef,
    GetWirelessGatewayStatisticsResponseTypeDef,
    GetWirelessGatewayTaskDefinitionRequestRequestTypeDef,
    GetWirelessGatewayTaskRequestRequestTypeDef,
    GetWirelessGatewayTaskResponseTypeDef,
    GlobalIdentityTypeDef,
    GsmLocalIdTypeDef,
    ImportedSidewalkDeviceTypeDef,
    LoRaWANJoinEventNotificationConfigurationsTypeDef,
    LoRaWANJoinResourceTypeEventConfigurationTypeDef,
    ListDestinationsRequestRequestTypeDef,
    ListDeviceProfilesRequestRequestTypeDef,
    ListDevicesForWirelessDeviceImportTaskRequestRequestTypeDef,
    ListEventConfigurationsRequestRequestTypeDef,
    ListFuotaTasksRequestRequestTypeDef,
    ListMulticastGroupsByFuotaTaskRequestRequestTypeDef,
    MulticastGroupByFuotaTaskTypeDef,
    ListMulticastGroupsRequestRequestTypeDef,
    MulticastGroupTypeDef,
    ListNetworkAnalyzerConfigurationsRequestRequestTypeDef,
    NetworkAnalyzerConfigurationsTypeDef,
    ListPartnerAccountsRequestRequestTypeDef,
    ListPositionConfigurationsRequestRequestTypeDef,
    ListQueuedMessagesRequestRequestTypeDef,
    ListServiceProfilesRequestRequestTypeDef,
    ServiceProfileTypeDef,
    ListTagsForResourceRequestRequestTypeDef,
    ListWirelessDeviceImportTasksRequestRequestTypeDef,
    ListWirelessDevicesRequestRequestTypeDef,
    ListWirelessGatewayTaskDefinitionsRequestRequestTypeDef,
    ListWirelessGatewaysRequestRequestTypeDef,
    LoRaWANGatewayMetadataTypeDef,
    OtaaV10XTypeDef,
    OtaaV11TypeDef,
    LoRaWANGatewayVersionTypeDef,
    LoRaWANListDeviceTypeDef,
    LoRaWANMulticastMetadataTypeDef,
    LoRaWANStartFuotaTaskTypeDef,
    UpdateAbpV10XTypeDef,
    UpdateAbpV11TypeDef,
    LteLocalIdTypeDef,
    LteNmrObjTypeDef,
    SemtechGnssConfigurationTypeDef,
    SemtechGnssDetailTypeDef,
    PutResourceLogLevelRequestRequestTypeDef,
    ResetResourceLogLevelRequestRequestTypeDef,
    ResponseMetadataTypeDef,
    SendDataToMulticastGroupResponseTypeDef,
    SendDataToWirelessDeviceResponseTypeDef,
    SidewalkSendDataToDeviceTypeDef,
    SidewalkSingleStartImportInfoTypeDef,
    SidewalkStartImportInfoTypeDef,
    SidewalkUpdateAccountTypeDef,
    SidewalkUpdateImportInfoTypeDef,
    StartSingleWirelessDeviceImportTaskResponseTypeDef,
    StartWirelessDeviceImportTaskResponseTypeDef,
    TdscdmaLocalIdTypeDef,
    TdscdmaNmrObjTypeDef,
    TestWirelessDeviceRequestRequestTypeDef,
    TestWirelessDeviceResponseTypeDef,
    UntagResourceRequestRequestTypeDef,
    UpdateDestinationRequestRequestTypeDef,
    UpdatePositionRequestRequestTypeDef,
    UpdateResourcePositionRequestRequestTypeDef,
    UpdateWirelessGatewayRequestRequestTypeDef,
    WcdmaLocalIdTypeDef,
    WcdmaNmrObjTypeDef,
    WirelessDeviceEventLogOptionTypeDef,
    WirelessGatewayEventLogOptionTypeDef,
    AbpV10XTypeDef,
    AbpV11TypeDef,
    GetPositionResponseTypeDef,
    AssociateAwsAccountWithPartnerAccountResponseTypeDef,
    AssociateAwsAccountWithPartnerAccountRequestRequestTypeDef,
    CreateDestinationRequestRequestTypeDef,
    ListTagsForResourceResponseTypeDef,
    StartBulkAssociateWirelessDeviceWithMulticastGroupRequestRequestTypeDef,
    StartBulkDisassociateWirelessDeviceFromMulticastGroupRequestRequestTypeDef,
    TagResourceRequestRequestTypeDef,
    LoRaWANGatewayTypeDef,
    CdmaObjTypeDef,
    SidewalkDeviceTypeDef,
    SidewalkListDeviceTypeDef,
    ConnectionStatusEventConfigurationTypeDef,
    ConnectionStatusResourceTypeEventConfigurationTypeDef,
    CreateDeviceProfileRequestRequestTypeDef,
    CreateFuotaTaskRequestRequestTypeDef,
    UpdateFuotaTaskRequestRequestTypeDef,
    CreateMulticastGroupRequestRequestTypeDef,
    UpdateMulticastGroupRequestRequestTypeDef,
    CreateNetworkAnalyzerConfigurationRequestRequestTypeDef,
    GetNetworkAnalyzerConfigurationResponseTypeDef,
    UpdateNetworkAnalyzerConfigurationRequestRequestTypeDef,
    CreateServiceProfileRequestRequestTypeDef,
    SidewalkGetDeviceProfileTypeDef,
    ListDestinationsResponseTypeDef,
    ListDeviceProfilesResponseTypeDef,
    DeviceRegistrationStateEventConfigurationTypeDef,
    MessageDeliveryStatusEventConfigurationTypeDef,
    ProximityEventConfigurationTypeDef,
    DeviceRegistrationStateResourceTypeEventConfigurationTypeDef,
    MessageDeliveryStatusResourceTypeEventConfigurationTypeDef,
    ProximityResourceTypeEventConfigurationTypeDef,
    FPortsTypeDef,
    UpdateFPortsTypeDef,
    ListFuotaTasksResponseTypeDef,
    ParticipatingGatewaysTypeDef,
    GetFuotaTaskResponseTypeDef,
    GetMulticastGroupResponseTypeDef,
    GetMulticastGroupSessionResponseTypeDef,
    StartMulticastGroupSessionRequestRequestTypeDef,
    GetPartnerAccountResponseTypeDef,
    ListPartnerAccountsResponseTypeDef,
    GetServiceProfileResponseTypeDef,
    GetWirelessDeviceImportTaskResponseTypeDef,
    WirelessDeviceImportTaskTypeDef,
    GsmNmrObjTypeDef,
    ImportedWirelessDeviceTypeDef,
    JoinEventConfigurationTypeDef,
    JoinResourceTypeEventConfigurationTypeDef,
    ListMulticastGroupsByFuotaTaskResponseTypeDef,
    ListMulticastGroupsResponseTypeDef,
    ListNetworkAnalyzerConfigurationsResponseTypeDef,
    ListServiceProfilesResponseTypeDef,
    LoRaWANDeviceMetadataTypeDef,
    LoRaWANGatewayCurrentVersionTypeDef,
    LoRaWANUpdateGatewayTaskCreateTypeDef,
    LoRaWANUpdateGatewayTaskEntryTypeDef,
    MulticastWirelessMetadataTypeDef,
    StartFuotaTaskRequestRequestTypeDef,
    LteObjTypeDef,
    PositionSolverConfigurationsTypeDef,
    PositionSolverDetailsTypeDef,
    StartSingleWirelessDeviceImportTaskRequestRequestTypeDef,
    StartWirelessDeviceImportTaskRequestRequestTypeDef,
    UpdatePartnerAccountRequestRequestTypeDef,
    UpdateWirelessDeviceImportTaskRequestRequestTypeDef,
    TdscdmaObjTypeDef,
    WcdmaObjTypeDef,
    WirelessDeviceLogOptionTypeDef,
    WirelessGatewayLogOptionTypeDef,
    CreateWirelessGatewayRequestRequestTypeDef,
    GetWirelessGatewayResponseTypeDef,
    WirelessGatewayStatisticsTypeDef,
    WirelessDeviceStatisticsTypeDef,
    GetDeviceProfileResponseTypeDef,
    LoRaWANDeviceTypeDef,
    LoRaWANUpdateDeviceTypeDef,
    LoRaWANSendDataToDeviceTypeDef,
    ListWirelessDeviceImportTasksResponseTypeDef,
    GsmObjTypeDef,
    ListDevicesForWirelessDeviceImportTaskResponseTypeDef,
    EventNotificationItemConfigurationsTypeDef,
    GetResourceEventConfigurationResponseTypeDef,
    UpdateResourceEventConfigurationRequestRequestTypeDef,
    GetEventConfigurationByResourceTypesResponseTypeDef,
    UpdateEventConfigurationByResourceTypesRequestRequestTypeDef,
    GetWirelessDeviceStatisticsResponseTypeDef,
    GetWirelessGatewayFirmwareInformationResponseTypeDef,
    UpdateWirelessGatewayTaskCreateTypeDef,
    UpdateWirelessGatewayTaskEntryTypeDef,
    SendDataToMulticastGroupRequestRequestTypeDef,
    PutPositionConfigurationRequestRequestTypeDef,
    GetPositionConfigurationResponseTypeDef,
    PositionConfigurationItemTypeDef,
    GetLogLevelsByResourceTypesResponseTypeDef,
    UpdateLogLevelsByResourceTypesRequestRequestTypeDef,
    ListWirelessGatewaysResponseTypeDef,
    ListWirelessDevicesResponseTypeDef,
    CreateWirelessDeviceRequestRequestTypeDef,
    GetWirelessDeviceResponseTypeDef,
    UpdateWirelessDeviceRequestRequestTypeDef,
    DownlinkQueueMessageTypeDef,
    WirelessMetadataTypeDef,
    CellTowersTypeDef,
    EventConfigurationItemTypeDef,
    CreateWirelessGatewayTaskDefinitionRequestRequestTypeDef,
    GetWirelessGatewayTaskDefinitionResponseTypeDef,
    ListWirelessGatewayTaskDefinitionsResponseTypeDef,
    ListPositionConfigurationsResponseTypeDef,
    ListQueuedMessagesResponseTypeDef,
    SendDataToWirelessDeviceRequestRequestTypeDef,
    GetPositionEstimateRequestRequestTypeDef,
    ListEventConfigurationsResponseTypeDef,
)


def get_structure() -> SessionKeysAbpV10XTypeDef:
    return {...}
```

<a id="how-it-works"></a>

## How it works

Fully automated
[mypy-boto3-builder](https://github.com/youtype/mypy_boto3_builder) carefully
generates type annotations for each service, patiently waiting for
`aiobotocore` updates. It delivers drop-in type annotations for you and makes
sure that:

- All available `aiobotocore` services are covered.
- Each public class and method of every `aiobotocore` service gets valid type
  annotations extracted from `botocore` schemas.
- Type annotations include up-to-date documentation.
- Link to documentation is provided for every method.
- Code is processed by [black](https://github.com/psf/black) and
  [isort](https://github.com/PyCQA/isort) for readability.

<a id="what's-new"></a>

## What's new

<a id="implemented-features"></a>

### Implemented features

- Fully type annotated `boto3`, `botocore`, `aiobotocore` and `aioboto3`
  libraries
- `mypy`, `pyright`, `VSCode`, `PyCharm`, `Sublime Text` and `Emacs`
  compatibility
- `Client`, `ServiceResource`, `Resource`, `Waiter` `Paginator` type
  annotations for each service
- Generated `TypeDefs` for each service
- Generated `Literals` for each service
- Auto discovery of types for `boto3.client` and `boto3.resource` calls
- Auto discovery of types for `session.client` and `session.resource` calls
- Auto discovery of types for `client.get_waiter` and `client.get_paginator`
  calls
- Auto discovery of types for `ServiceResource` and `Resource` collections
- Auto discovery of types for `aiobotocore.Session.create_client` calls

<a id="latest-changes"></a>

### Latest changes

Builder changelog can be found in
[Releases](https://github.com/youtype/mypy_boto3_builder/releases).

<a id="versioning"></a>

## Versioning

`types-aiobotocore-iotwireless` version is the same as related `aiobotocore`
version and follows [PEP 440](https://www.python.org/dev/peps/pep-0440/)
format.

<a id="thank-you"></a>

## Thank you

- [Allie Fitter](https://github.com/alliefitter) for
  [boto3-type-annotations](https://pypi.org/project/boto3-type-annotations/),
  this package is based on top of his work
- [black](https://github.com/psf/black) developers for an awesome formatting
  tool
- [Timothy Edmund Crosley](https://github.com/timothycrosley) for
  [isort](https://github.com/PyCQA/isort) and how flexible it is
- [mypy](https://github.com/python/mypy) developers for doing all dirty work
  for us
- [pyright](https://github.com/microsoft/pyright) team for the new era of typed
  Python

<a id="documentation"></a>

## Documentation

All services type annotations can be found in
[aiobotocore docs](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_iotwireless/)

<a id="support-and-contributing"></a>

## Support and contributing

This package is auto-generated. Please reports any bugs or request new features
in [mypy-boto3-builder](https://github.com/youtype/mypy_boto3_builder/issues/)
repository.
